class_name BusVolume
extends Range
## Permet de parametrer le volume d'un bus

## Le nom du bus que ce slider doit controler.
@export var nom_bus: String = "Master"

@onready var _index_bus: int = AudioServer.get_bus_index(nom_bus)


func _ready() -> void:
	value_changed.connect(_met_a_jour_volume)
	value = AudioServer.get_bus_volume_db(_index_bus)


func _met_a_jour_volume(nouveau_volume: float) -> void:
	AudioServer.set_bus_volume_db(_index_bus, nouveau_volume)
